from django.urls import path
from .views import SettingsView, EditSiteSettingsView

app_name = 'settings'
urlpatterns = [
    path(
        '',
        SettingsView.as_view(),
        name='index'
    ),
    path(
        'site_settings',
        EditSiteSettingsView.as_view(),
        name='site-settings'
    ),
]
